Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.coordinator
Class TxControl

    java.lang.Object
      com.arjuna.ats.arjuna.coordinator.TxControl

public class TxControl
extends java.lang.Object

Transaction configuration object. We have a separate object for this so that other classes can enquire of (and use) this information.

Since:
  JTS 2.2.
Version:
  $Id: TxControl.html,v 1.1 2008/01/04 06:52:39 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`TxControl()`

Method Summary
`static void` | `disable()`
`static void` | `enable()`
`static ClassName` | `getActionStoreType()`
`static boolean` | `getAsyncPrepare()`
`static int` | `getDefaultTimeout()`
`static boolean` | `getMaintainHeuristics()`
`static ObjectStore` | `getStore()`
`static byte[]` | `getXANodeName()`
`static boolean` | `isEnabled()`
`static void` | `setDefaultTimeout(int timeout)`
`static void` | `setXANodeName(byte[] name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TxControl

    public TxControl()

Method Detail

### getDefaultTimeout

    public static final int getDefaultTimeout()

### setDefaultTimeout

    public static final void setDefaultTimeout(int timeout)

### enable

    public static final void enable()

### disable

    public static final void disable()

### isEnabled

    public static final boolean isEnabled()

### getActionStoreType

    public static final ClassName getActionStoreType()

### getStore

    public static final ObjectStore getStore()

  Returns:
    the `ObjectStore` implementation which the transaction coordinator will use.
  See Also:
    `ObjectStore`

### getAsyncPrepare

    public static final boolean getAsyncPrepare()

### getMaintainHeuristics

    public static final boolean getMaintainHeuristics()

### getXANodeName

    public static final byte[] getXANodeName()

### setXANodeName

    public static void setXANodeName(byte[] name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD